{ config, pkgs, inputs, ... }:

{
  imports = [
    inputs.impermanence.nixosModules.home-manager.impermanence

    ../../modules/editors/nixvim
    ../../modules/shells/zsh.nix
  ];

  home.username = "snorre";
  home.homeDirectory = "/home/snorre";

  home.packages = with pkgs; [
    file
    nixpkgs-fmt
    jump
  ];

  zsh.jump.enable = true;
  zsh.jump.show-destination = true;

  # Let home-manager manage itself
  programs.home-manager.enable = true;

  home.sessionVariables = {
    EDITOR = "nvim";
  };

  home.stateVersion = "23.11";

  home.persistence."/persist/home" = {
    directories = [
      "Downloads"
      "Music"
      "Pictures"
      "Documents"
      "Videos"
      ".gnupg"
      ".ssh"
      ".local"
      ".jump"
      {
        directory = ".factorio";
        method = "symlink";
      }
      {
        directory = ".local/share/Steam";
        method = "symlink";
      }
    ];
    files = [
      ".gitconfig"
    ];
    allowOther = true;
  };
}
