{ config, pkgs, lib, ... }:
{
  programs.nixvim.extraConfigLua = lib.strings.concatLines ([
    ''
      			vim.cmd([[
      				augroup highlight_yank
      						autocmd!
      						au TextYankPost * silent! lua vim.highlight.on_yank{higroup="IncSearch", timeout=100}
      				augroup END
      			]])

      		''
  ]
  );

  programs.nixvim.extraPlugins = [
    # actions-preview.nvim
    (pkgs.vimUtils.buildVimPlugin {
      name = "actions-preview.nvim";
      src = pkgs.fetchFromGitHub {
        owner = "aznhe21";
        repo = "actions-preview.nvim";
        rev = "9f52a01c374318e91337697ebed51c6fae57f8a4";
        hash = "sha256-lYjsv8y1fMuTGpBF/iG7cm/a7tLdh748vJhVsSp/Iz8=";
      };
    })

    # (pkgs.vimUtils.buildVimPlugin {
    #   name = "fsharp-vim";
    #   src = pkgs.fetchFromGitHub {
    #     owner = "DrTom";
    #     repo = "fsharp-vim";
    #     rev = "81f51e7155c3df0f56e48b894aba8cb65a9cc04b";
    #     hash = "sha256-cSsUVG3MbjGD6bheZ+k1bxkDx0fZ17kbKqgBNywOaZc=";
    #   };
    # })

    # fsharp-language-server
    # (pkgs.vimUtils.buildVimPlugin {
    #   name = "fsharp-language-server";
    #   src = pkgs.fetchFromGitHub {
    #     owner = "fsprojects";
    #     repo = "fsharp-language-server";
    #     rev = "471439c562c484f2fe57adfd54485e7c1ee4ca29";
    #     hash = "";
    #   };
    # })

  ]
  ++
  (
    if config.programs.nixvim.plugins.neorg.enable
    then [
      (pkgs.vimUtils.buildVimPlugin {
        inherit (pkgs.luaPackages.lua-utils-nvim) pname version src;
      })

      (pkgs.vimUtils.buildVimPlugin {
        inherit (pkgs.luaPackages.pathlib-nvim) pname version src;
      })

      (pkgs.vimUtils.buildVimPlugin {
        inherit (pkgs.luaPackages.nvim-nio) pname version src;
      })
    ]
    else [ ]
  )
  ;

}
