{ pkgs, lib, config, ... }: {
  programs.tmux = {
    enable = true;
    # Enable 24-hour clock
    clock24 = true;
    terminal = if config.programs.alacritty.enable then "alacritty" else lib.mkDefault;
    baseIndex = 1;
    mouse = true;
    shell = "${pkgs.zsh}/bin/zsh";
    # escapeTime = 150;
    historyLimit = 50000;

    extraConfig = lib.strings.concatStringsSep "\n" [
      "set -g display-time 4000"
      "set -g focus-events on"
      "set-option -a terminal-features ',alacritty:RGB'"
      "set-option -a terminal-overrides ',alacritty:Tc'"
    ];
  };
}
