{ lib
, stdenvNoCC
, fetchFromGitHub
, unstableGitUpdater
, pkgs
}:

stdenvNoCC.mkDerivation {
  name = "posy-cursors";

  src = fetchFromGitHub {
    repo = "posy-improved-cursor-linux";
    owner = "simtrami";
    rev = "bd2bac08bf01e25846a6643dd30e2acffa9517d4";
    hash = "sha256-ndxz0KEU18ZKbPK2vTtEWUkOB/KqA362ipJMjVEgzYQ=";
  };

  dontConfigure = true;
  dontBuild = true;

  installPhase = ''
    runHook preInstall

    install -dm 755 $out/share/icons
    cp -rf $src/Posy_Cursor* $out/share/icons
    # cp -rf themes/* $out/share/icons/

    runHook postInstall
  '';

  passthru.updateScript = unstableGitUpdater {};

  meta = with lib; {
    description = "Posy cursors for NixOS";
    homepage = "https://github.com/simtrami/posy-improved-cursor-linux";
    # license = licenses.mit;
    maintainers = with maintainers; [ me ];
    platforms = platforms.all;
  };

# https://github.com/ripperhowls/Posys-Cursors-Improved-by-ripperhowls.git
}
