{ lib, inputs, config, ... }:
{
  programs.hyprlock = {
    enable = true;

    settings = {
      general.grace = 2;

      background = {
        # path = (if config.stylix.enable then builtins.toString config.stylix.image else "");
        # color = (if config.stylix.enable then config.lib.stylix.colors.base01 else "");
      };

      input-field = {
        size = "250, 50";
        outline_thickness = 1;
        dots_size = 0.33;
        dots_spacing = 0.15;
        dost_center = false;
        dots_rounding = -1;

        # outer_color = "rgb(42, 40, 62)";
        # inner_color = "rgb(57, 53, 82)";
        # font_color = "rgb(224, 222, 244)";
        fade_on_empty = false;
        fade_timeout = 4000;

        placeholder_text = "<span foreground=\"##e0def4\">Input Password...</span>";
        hide_input = false;
        rounding = 0;

        # check_color = "rgb(246, 193, 119)";
        # fail_color = "rgb(235, 111, 146)";

        fail_text = "<i>$FAIL <b>($ATTEMPTS)</b></i>";
        fail_transition = 300;
        # capslock_color = "rgb(196, 167, 231)";
        numlock_color = -1;
        bothlock_color = -1;
        invert_numlock = false;

        position = "0, -20";
        halign = "center";
        valign = "center";
      };

      label = [
        {
          text = "cmd[update:1000] echo \"<span>$(date +%H:%M:%S)</span>\"";
          color = "rgb(200, 200, 200)";
          font_size = 15;
          font_family = "Noto Sans";

          position = "-10, -10";
          halign = "right";
          valign = "top";
        }

        {
          text = "<span>  $USER</span>";
          color = "rgb(200, 200, 200)";
          font_size = 25;
          font_family = "Noto Sans";

          position = "0, 50";
          halign = "center";
          valign = "center";
        }
      ];
    };
  };
}
